<?php

namespace XF\Finder;

use XF\Mvc\Entity\Finder;

/**
 * @method \XF\Mvc\Entity\AbstractCollection<\XF\Entity\Feed> fetch(?int $limit = null, ?int $offset = null)
 * @method \XF\Mvc\Entity\AbstractCollection<\XF\Entity\Feed> fetchDeferred(?int $limit = null, ?int $offset = null)
 * @method \XF\Entity\Feed|null fetchOne(?int $offset = null)
 * @extends \XF\Mvc\Entity\Finder<\XF\Entity\Feed>
 */
class Feed extends Finder
{
	public function isDue($time = null)
	{
		$expression = $this->expression('last_fetch + frequency');
		$this->where($expression, '<', $time ?: time());

		return $this;
	}
}