<?php

namespace XF\Finder;

use XF\Mvc\Entity\Finder;

/**
 * @method \XF\Mvc\Entity\AbstractCollection<\XF\Entity\SpamTriggerLog> fetch(?int $limit = null, ?int $offset = null)
 * @method \XF\Mvc\Entity\AbstractCollection<\XF\Entity\SpamTriggerLog> fetchDeferred(?int $limit = null, ?int $offset = null)
 * @method \XF\Entity\SpamTriggerLog|null fetchOne(?int $offset = null)
 * @extends \XF\Mvc\Entity\Finder<\XF\Entity\SpamTriggerLog>
 */
class SpamTriggerLog extends Finder
{
	public function forContent($contentType, $contentId)
	{
		$this->where('content_type', $contentType)
			->where('content_id', $contentId);

		return $this;
	}
}