<?php

namespace XF\Finder;

use XF\Mvc\Entity\Finder;

/**
 * @method \XF\Mvc\Entity\AbstractCollection<\XF\Entity\ApiScope> fetch(?int $limit = null, ?int $offset = null)
 * @method \XF\Mvc\Entity\AbstractCollection<\XF\Entity\ApiScope> fetchDeferred(?int $limit = null, ?int $offset = null)
 * @method \XF\Entity\ApiScope|null fetchOne(?int $offset = null)
 * @extends \XF\Mvc\Entity\Finder<\XF\Entity\ApiScope>
 */
class ApiScope extends Finder
{
	public function usableForOAuth(bool $oAuthEnabled = true): Finder
	{
		return $this->where('usable_with_oauth_clients', $oAuthEnabled);
	}
}
